DestinationMapNode (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.DestinationMapNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class DestinationMapNode

    java.lang.Object
      org.codehaus.activemq.filter.DestinationMapNode

public class DestinationMapNode
extends Object

An implementation class used to implement `DestinationMap`

Version:
  $Revision: 1.4 $

Field Summary
`protected static String` | `ANY_CHILD`
`protected static String` | `ANY_DESCENDENT`

Constructor Summary
`DestinationMapNode()`

Method Summary
`void` | `add(String[] paths, int idx, Object value)`
`protected void` | `appendDescendantValues(Set answer)`
`void` | `appendMatchingValues(Set answer, String[] paths, int startIndex)`
`void` | `appendMatchingWildcards(Set answer, String[] paths, int idx)`
`protected DestinationMapNode` | `createChildNode()` Factory method to create a child node
`DestinationMapNode` | `getAnyChildNode()` Returns the node which represents all children (i.e.
`DestinationMapNode` | `getChild(String path)` Returns the child node for the given named path or null if it does not exist
`DestinationMapNode` | `getChildOrCreate(String path)` Returns the child node for the given named path, lazily creating one if it does not yet exist
`Set` | `getDesendentValues()` Returns a list of all the values from this node down the tree
`List` | `getValues()` Returns a mutable List of the values available at this node in the tree
`void` | `remove(String[] paths, int idx, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_CHILD

    protected static final String ANY_CHILD

See Also:
  Constant Field Values

### ANY_DESCENDENT

    protected static final String ANY_DESCENDENT

See Also:
  Constant Field Values

Constructor Detail

### DestinationMapNode

    public DestinationMapNode()

Method Detail

### getChild

    public DestinationMapNode getChild(String path)

  Returns the child node for the given named path or null if it does not exist

### getChildOrCreate

    public DestinationMapNode getChildOrCreate(String path)

  Returns the child node for the given named path, lazily creating one if it does not yet exist

### getAnyChildNode

    public DestinationMapNode getAnyChildNode()

  Returns the node which represents all children (i.e. the * node)

### getValues

    public List getValues()

  Returns a mutable List of the values available at this node in the tree

### getDesendentValues

    public Set getDesendentValues()

  Returns a list of all the values from this node down the tree

### add

    public void add(String[] paths,
                    int idx,
                    Object value)

### remove

    public void remove(String[] paths,
                       int idx,
                       Object value)

### appendDescendantValues

    protected void appendDescendantValues(Set answer)

### createChildNode

    protected DestinationMapNode createChildNode()

  Factory method to create a child node

### appendMatchingWildcards

    public void appendMatchingWildcards(Set answer,
                                        String[] paths,
                                        int idx)

### appendMatchingValues

    public void appendMatchingValues(Set answer,
                                     String[] paths,
                                     int startIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.